[DIAGNOSTICS]
# Data adaptor type: CMOR (for our experiments), THREDDS (for other experiments)
DATA_ADAPTOR = CMOR
# Path to the folder where you want to create the temporary files
SCRATCH_DIR = /scratch/Earth/$USER
# Root path for the cmorized data to use
DATA_DIR = /esnas:/esarchive
# Specify if your data is from an experiment (exp), observation (obs) or reconstructions (recon)
DATA_TYPE = exp
# CMORization type to use. Important also for THREDDS as it affects variable name conventions.
# Options: SPECS (default), PRIMAVERA, CMIP6
DATA_CONVENTION = SPECS

# Path to NEMO's mask and grid files needed for CDFTools
CON_FILES = /esnas/autosubmit/con_files/
# Diagnostics to run, space separated. You must provide for each one the name and the parameters (comma separated) or
# an alias defined in the ALIAS section (see more below). If you are using the diagnostics just to CMORize, leave it
# empty
DIAGS =
# DIAGS = OHC
# Frequency of the data you want to use by default. Some diagnostics do not use this value: i.e. monmean always stores
# its results at monthly frequency (obvious) and has a parameter to specify input's frequency.
FREQUENCY = 6hr
# Path to CDFTOOLS binaries
CDFTOOLS_PATH =
# If true, copies the mesh files regardless of presence in scratch dir
RESTORE_MESHES = False
# Limits the maximum amount of threads used. Default: 0 (no limitation, one  per virtual core available)
MAX_CORES = 1

[CMOR]
# If true, recreates CMOR files regardless of presence. Default = False
FORCE = False
# If true, CMORizes ocean files.  Default = True
OCEAN_FILES = True
# If true, CMORizes atmosphere files.  Default = True
ATMOSPHERE_FILES = True
# You can specify the variable to cmorize, in the way domain:var domain:var2 domain2:var
VARIABLE_LIST = ocean:tos

# Variables to be CMORized from the grib atmospheric files, separated by comma.
# You can also specify the levels to extract using the following syntax
# VARIABLE_CODE, VARIABLE_CODE:LEVEL, VARIABLE_CODE:LEVEL1-LEVEL2, VARIABLE_CODE:MIN_LEVEL:MAX_LEVEL:STEP
# Examples:
# Variable with code 129 at level 30000: 129:30000
# Variable with code 129 at levels 30000, 40000 and 60000: 129:30000-40000-60000
# Variable with code 129 at levels between 30000 and 600000 with 10000 intervals:
# 129:30000:60000:10000 equivalent to 129:30000-40000-50000-60000

# Hourly vars
ATMOS_HOURLY_VARS = 129:30000:90000:5000, 130, 131:30000:90000:5000, 132:30000:90000:5000, 151, 167, 168, 164, 165, 166
# Daily vars
ATMOS_DAILY_VARS = 167, 165, 166, 151, 164, 168, 169, 177, 179, 228, 201, 202, 130:85000
# Monthly vars
ATMOS_MONTHLY_VARS = 167, 201, 202, 165, 166, 151, 144, 228, 205, 182, 164, 146, 147, 176, 169, 177, 175, 212, 141, 180, 181, 179, 168, 243, 129:5000-20000-50000-85000, 130:5000-20000-50000-85000, 131:5000-20000-50000-85000, 132:5000-20000-50000-85000, 133:5000-20000-50000-85000

# The next bunch of parameters are used to provide metadata for the CMOR files
# ASSOCIATED_EXPERIMENT =
# INITIALIZATION_METHOD = 1
# INITIALIZATION_DESCRIPTION = ocean: ECMWF system4, ice: DFS4.3 , atmosphere:
# PHYSICS_VERSION = 1
# PHYSICS_DESCRIPTION =
# ASSOCIATED_MODEL =
# SOURCE = 'EC-Earthv2.3.0, ocean: Nemo3.1, ifs31r1, lim2

[THREDDS]
SERVER_URL = https://earth.bsc.es/thredds

[EXPERIMENT]
# Experiments parameters as defined in CMOR standard
INSTITUTE = IC3
MODEL = EC-EARTH3
NAME = windstress
# Model version: Available versions
MODEL_VERSION =Ec2.3_O1L46
# Atmospheric output timestep in hours
ATMOS_TIMESTEP = 6
# Ocean output timestep in hours
OCEAN_TIMESTEP = 6

# For those who use Autosubmit, this will be easy
# EXPID is the unique identifier of the experiment.
# STARTDATES is the list of start dates
# MEMBERS is the list of members of your experiment (only the numbers, the fc will be added by the tool)
# MEMBER_DIGITS is the minimum number of digits to use for the member name: if 1 the name for member 0 will be fc0,
# if 2, fc00
# CHUNK_SIZE is the size of each data file, given in months
# CHUNKS is the number of chunks. You can specify less chunks than present on the experiment
EXPID = a0au
STARTDATES = 20000201 20000501 20010201 20010501 20020201 20020501 20030201 20030501 20040201 20040501 20050201 20050501 20060201 20060501 20070201 20070501 20080201 20080501 20090201 20090501
MEMBERS = 0 1 2 3 4 5 6 7
MEMBER_DIGITS = 1
CHUNK_SIZE = 7
CHUNKS = 1
# CHUNKS = 1


# This ALIAS section is a bit different
# Inside this, you can provide alias for frequent diagnostics calls.
# By default, there are some of the diagnostics available at the previous version.
# You can define an alias for one or moraa90a1ee diagnostic calls

[ALIAS]
MAX_MOC = mocmax,38,50,500,2000 mocmax,40,40,0,10000
AREA_MOC = mocarea,40,55,1000,2000,atl mocarea,30,40,1000,2000,atl
STC = mocarea,0,25,0,200,Pac mocarea,-25,0,0,200,Pac mocarea,0,25,0,200,Atl mocarea,-25,0,0,200,Atl
HEAT_SAL_MXL = mlotstsc mlotsthc
LMSALC = vertmeanmeters,so,300,5400
USALC = vertmeanmeters,so,0,300
OHC = ohc,glob,0,1,10
XOHC = ohc,glob,1,0,0
LOHC = ohc,glob,0,23,46
MOHC = ohc,glob,0,18,22
UOHC = ohc,glob,0,1,17
OHC_SPECIFIED_LAYER = ohclayer,0,300 ohclayer,300,800
3DTEMP = interp,thetao
3DSAL = interp,so
TSEC_AVE190-220E =avgsection,thetao,190,220,-90,90
SSEC_AVE190-220E =avgsection,so,190,220,-90,90
VERT_SSECTIONS = cutsection,so,Z,0 cutsection,so,Z,45 cutsection,so,Z,-45 cutsection,so,M,-30 cutsection,so,M,180 cutsection,so,M,80
VERT_TSECTIONS = cutsection,thetao,Z,0 cutsection,thetao,Z,45 cutsection,thetao,Z,-45 cutsection,thetao,M,-30 cutsection,thetao,M,180 cutsection,thetao,M,80
SIASIESIV = siasiesiv,glob



